package org.javafmi.wrapper;

import java.io.File;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.javafmi.ModelDescription;
import org.simpleframework.xml.Serializer;
import org.simpleframework.xml.core.Persister;

public class ModelDescriptionDeserializer {

    public static ModelDescription deserialize(File modelDescriptionFile) {
        try {
            Serializer serializer = new Persister();
            return serializer.read(ModelDescription.class, modelDescriptionFile);
        } catch (Exception ex) {
            Logger.getLogger(ModelDescriptionDeserializer.class.getName()).log(Level.SEVERE, null, ex);
        }
        return null;
    }
}